Bug 1197490 - python-kombu-3.0.24-1.el7 missing from pulp repo
Summary: python-kombu-3.0.24-1.el7 missing from pulp repo
Keywords:
Status: CLOSED EOL
Alias: None
Product: Katello
Classification: Retired
Component: Packaging
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-01 18:34 UTC by Erik van Pienbroek
Modified: 2020-03-27 19:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:42:36 UTC


Attachments (Terms of Use)

Description Erik van Pienbroek 2015-03-01 18:34:42 UTC
In EPEL-7-testing there currently are updated qpid-cpp and qpid-qmf packages which updates qpid-cpp to version 0.30 and qpid-qmf to 0.28:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0952/qpid-cpp-0.30-12.el7
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0994/qpid-qmf-0.28-27.el7

These updated packages cause the installation of Katello 2.1 on CentOS 7 to fail. In the systemd journal the following Pulp errors can be found:

mrt 01 17:51:28 katello pulp[20755]: pulp.server.agent.direct.services:INFO: AMQP broker configured: {katello:5671}:|transport=SSL|host=katello|port=5671|cacert
mrt 01 17:51:28 katello pulp[20755]: gofer.transport.qpid.broker:INFO: connecting: {katello:5671}:|transport=SSL|host=katello|port=5671|cacert=/etc/pki/katello/
mrt 01 17:51:28 katello pulp[20755]: gofer.transport.qpid.broker:INFO: {katello:5671} connected to AMQP
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:CRITICAL: *************************************************************
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR: The Pulp server encountered an unexpected failure during initialization
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR: Traceback (most recent call last):
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 147, in wsgi_application
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     _initialize_pulp()
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 114, in _initialize_pulp
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     AgentServices.start()
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/pulp/server/agent/direct/services.py", line 57, in start
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     cls.reply_handler = ReplyHandler(url, transport)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/pulp/server/agent/direct/services.py", line 130, in __init__
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     self.consumer = ReplyConsumer(queue, url=url, transport=transport, authenticator=Authenticator())
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/gofer/rmi/async.py", line 50, in __init__
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     Consumer.__init__(self, queue, url=url, transport=transport)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/gofer/messaging/factory.py", line 343, in __init__
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     queue.declare(url)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/gofer/transport/qpid/model.py", line 156, in declare
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     sender = session.sender(self.address())
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "<string>", line 6, in sender
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 621, in sender
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     sender._ewait(lambda: sender.linked)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 831, in _ewait
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     result = self.session._ewait(lambda: self.error or predicate(), timeout)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 595, in _ewait
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     result = self.connection._ewait(lambda: self.error or predicate(), timeout)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 234, in _ewait
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     self.check_error()
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 227, in check_error
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     raise e
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR: InternalError: Traceback (most recent call last):
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/driver.py", line 670, in write
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     op.dispatch(self)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/ops.py", line 84, in dispatch
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     getattr(target, handler)(self, *args)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/driver.py", line 794, in do_session_completed
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     sst.actions.pop(sst.min_completion)()
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/qpid/messaging/driver.py", line 127, in <lambda>
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     self.write_cmd(query, lambda: handler(self.results.pop(id)))
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/kombu/transport/qpid.py", line 196, in do_action
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     action(type, subtype)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:   File "/usr/lib/python2.7/site-packages/kombu/transport/qpid.py", line 145, in do_resolved
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:     err = self.declare(sst, lnk, action)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR: TypeError: declare() takes exactly 5 arguments (4 given)
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:ERROR:
mrt 01 17:51:28 katello pulp[20755]: pulp.server.webservices.application:CRITICAL: *************************************************************

This traceback appears to be caused by the patch 'qpid_transport.patch' which is part of the package python-kombu-3.0.15-12.pulp.el7.noarch (which is the latest version of this package in the katello-pulp repo).

I noticed that at https://fedorapeople.org/groups/katello/releases/yum/2.1/pulp/RHEL/7/x86_64 there's also another version of python-kombu published: python-kombu-3.0.24-1.el7.noarch.rpm. For some reason this package isn't mentioned in the yum repodata.

I just tried manually installing https://fedorapeople.org/groups/katello/releases/yum/2.1/pulp/RHEL/7/x86_64/python-kombu-3.0.24-1.el7.noarch.rpm and re-installing Katello and this seems to resolve the traceback and the Katello installation completes successfully with it.

Is there any reason why python-kombu-3.0.24-1.el7.noarch.rpm isn't mentioned in the yum repodata of that repository?

Comment 1 Brian Bouterse 2015-03-02 14:59:18 UTC
The traceback you are experiencing is a known issue in the python-kombu-3.0.15-12 version, and the python-kombu-3.0.24 should be used which resolves the problem.

Katello maintains the repos that you are linking to. I think the metadata missing from those repos is due to the python-kombu-3.0.24 package tagged into the repo correctly. Please open a new bug against Katello for this packaging issue.

Comment 2 Erik van Pienbroek 2015-03-02 15:42:30 UTC
Re-assigning to Katello

Comment 3 Vladimir Stackov 2015-03-20 15:52:03 UTC
I'm facing this issue too.


Note You need to log in before you can comment on or make changes to this bug.